int done=1;
float camY;
float camZ;

float camSpeed;
bool camStart;

void ViewOrtho()							// Set Up An Ortho View
{
	glMatrixMode(GL_PROJECTION);					// Select Projection
	glPushMatrix();							// Push The Matrix
	glLoadIdentity();						// Reset The Matrix
	glOrtho( 0, SCREEN_WIDTH , SCREEN_HEIGHT , 0, -1, 1 );				// Select Ortho Mode (640x480)
	glMatrixMode(GL_MODELVIEW);					// Select Modelview Matrix
	glPushMatrix();							// Push The Matrix
	glLoadIdentity();						// Reset The Matrix
}


void ViewPerspective(void){			// Set Up A Perspective View
	glMatrixMode( GL_PROJECTION );	// Select Projection
	glPopMatrix();					// Pop The Matrix
	glMatrixMode( GL_MODELVIEW );	// Select Modelview
	glPopMatrix();					// Pop The Matrix
	glLoadIdentity();				// Reset The Matrix
}


bool init(GLenum flag){
	if(SDL_Init( SDL_INIT_VIDEO | SDL_INIT_TIMER )<0)
	{
		/* Zwracamy b³¹d, nie uda³o siê zainicjowaæ komponentów. */
		fprintf( stderr, "Unable to init SDL: %s\n", SDL_GetError());
		return false;
	}
	atexit(SDL_Quit);
	screen = SDL_SetVideoMode(SCREEN_WIDTH, SCREEN_HEIGHT, 0, flag|SDL_OPENGL|SDL_HWPALETTE|SDL_GL_DOUBLEBUFFER|SDL_HWSURFACE|SDL_HWACCEL);
	
	if(screen == NULL)
	{
		fprintf( stderr, "Unable to set up video: %s\n", SDL_GetError());
		return false;
	}
	TTF_Init();
	
	
	SDL_WM_SetCaption( "Metal Tower by Razi", NULL ); 
	font = TTF_OpenFont("fonts/TribalTwo.ttf",26);
	//font = TTF_OpenFont("FreeMono.ttf",26);
	TTF_SetFontStyle(font, TTF_STYLE_BOLD);
	
	/* Konfigurujemy powierzchniê OpenGL'a */
	SDL_GL_SetAttribute( SDL_GL_RED_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_GREEN_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_BLUE_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_ALPHA_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_BUFFER_SIZE, 32 );
	SDL_GL_SetAttribute( SDL_GL_DEPTH_SIZE, 16 );
	SDL_GL_SetAttribute( SDL_GL_DOUBLEBUFFER, 1 );
	SDL_GL_SetAttribute( SDL_GL_MULTISAMPLESAMPLES, 4 );
	SDL_GL_SetAttribute( SDL_GL_MULTISAMPLEBUFFERS, 24 );
	SDL_GL_SetAttribute( SDL_GL_ACCUM_RED_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_ACCUM_GREEN_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_ACCUM_BLUE_SIZE, 8 );
	SDL_GL_SetAttribute( SDL_GL_ACCUM_ALPHA_SIZE, 8 );
	
	
	glHint( GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST); 
	
	glClearAccum (0.0, 0.0, 0.0,1.0);
	glClear (GL_ACCUM_BUFFER_BIT);
	
	glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
	glEnable(GL_BLEND);
	
	glEnable(GL_ALPHA_TEST);
	glAlphaFunc(GL_GREATER,0.1);
	
	GLfloat material[]={1.0, 1.0, 1.0,1.0}; 
	glMaterialfv(GL_FRONT_AND_BACK, GL_AMBIENT, material);
	glMaterialfv(GL_FRONT_AND_BACK, GL_DIFFUSE, material);
	
	glEnable(GL_LIGHTING);
	glEnable( GL_LIGHT0);
	glEnable( GL_COLOR_MATERIAL);
	glColorMaterial( GL_FRONT_AND_BACK, GL_AMBIENT);
	glColorMaterial( GL_FRONT_AND_BACK, GL_DIFFUSE);
	glColorMaterial( GL_FRONT, GL_SPECULAR);
	glMateriali( GL_FRONT, GL_SHININESS, 128);
	
	
	glDisable(GL_TEXTURE_1D);
	glEnable(GL_TEXTURE_2D);
	//glEnable(GL_CULL_FACE);
	
	
	glShadeModel(GL_SMOOTH);
	glClearColor(0.0f, 0.0f, 0.0f, 1.0f);
	glClearDepth(1.0f);
	glEnable(GL_DEPTH_TEST);
	
	glDepthFunc(GL_LEQUAL);
	//glHint(GL_PERSPECTIVE_CORRECTION_HINT, GL_NICEST);
	
	glEnable(GL_DEPTH_TEST);
	glDepthFunc(GL_LEQUAL);
	
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	
	glViewport(0,0,SCREEN_WIDTH,SCREEN_HEIGHT);
	gluPerspective(45.0f,(GLfloat)SCREEN_WIDTH/(GLfloat)SCREEN_HEIGHT,0.1f,100.0f);
	glMatrixMode(GL_MODELVIEW);
	glTexEnvi(GL_TEXTURE_ENV, GL_TEXTURE_ENV_MODE, GL_MODULATE);
	
	//FOG
	GLfloat fogColor[4]= {0.0f, 0.0f, 0.0f, 1.0f};		// Fog Color
	glFogi(GL_FOG_MODE, GL_LINEAR);		// Fog Mode
	glFogfv(GL_FOG_COLOR, fogColor);			// Set Fog Color
	glFogf(GL_FOG_DENSITY, 0.35f);				// How Dense Will The Fog Be
	glHint(GL_FOG_HINT, GL_DONT_CARE);			// Fog Hint Value
	glFogf(GL_FOG_START, 14.0f);				// Fog Start Depth
	glFogf(GL_FOG_END, 25.0f);				// Fog End Depth
	glEnable(GL_FOG);					// Enables GL_FOG
	
	//glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
	
	return true;
}
